package com.imprimelibros.erp.presupuesto.validation;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.*;

@Documented
@Constraint(validatedBy = TamanioValidator.class)
@Target({ ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
public @interface Tamanio {

    String message() default "{presupuesto.errores.tamanio.invalido}";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
